<div #container class="pb-2">
  <div [style.width]="width" [style.min-width]="width" [style.height]="height">
    <button type="button" #extra class="d-none"></button>
    <input #imageInput class="d-none" type="file" [accept]="accept" (change)="processFile(imageInput)">

    <div class="d-flex flex-column h-100 w-100">
      <div class="w-100 mw-100 h-100 mh-100 position-relative">
        <button type="button" *ngIf="showUploadIcon"
                class="w-100 mw-100 h-100 mh-100 no-border-bg-btn position-absolute"
                style="z-index: 1;" (click)="imageInput.click();">
          <mat-icon aria-hidden="false" aria-label="Example home icon" class="uploadIcon">upload_file</mat-icon>
        </button>
        <button type="button" class="delete-file-btn border-0 position-absolute" (click)="clearSelection();"
                *ngIf="selectedFile">
          <mat-icon class="text-white mt-1 mr-0">delete</mat-icon>
        </button>
        <div class="img-displayer w-100 mw-100 h-100 mh-100" [class.img-select]="selectedFile"
             [style.background]="getSelectedImage"></div>
      </div>
    </div>
  </div>

  <mat-error style="margin-bottom: 0 !important;">
    <!-- Image file only. -->
    <div *ngIf="error">Please upload an Image file</div>
    <div *ngIf="sizeError">This file exceeds the maximum size limit of 5MB.</div>
  </mat-error>
</div>
